nonstd::variants::detail::VisitorApplicator< R > Struct Template Reference

`#include <variant.hpp>`

## Static Public Member Functions

template<typename Visitor , typename V1 >
static R | apply (const Visitor &v, const V1 &arg)
template<size_t Idx, typename Visitor , typename V1 >
static R | apply_visitor (const Visitor &v, const V1 &arg)
template<typename Visitor , typename V1 , typename V2 >
static R | apply (const Visitor &v, V1 const &arg1, V2 const &arg2)
template<typename Visitor , typename V1 , typename V2 , typename V3 >
static R | apply (const Visitor &v, V1 const &arg1, V2 const &arg2, V3 const &arg3)
template<typename Visitor , typename V1 , typename V2 , typename V3 , typename V4 >
static R | apply (const Visitor &v, V1 const &arg1, V2 const &arg2, V3 const &arg3, V4 const &arg4)
template<typename Visitor , typename V1 , typename V2 , typename V3 , typename V4 , typename V5 >
static R | apply (const Visitor &v, V1 const &arg1, V2 const &arg2, V3 const &arg3, V4 const &arg4, V5 const &arg5)

## Detailed Description

template<typename R>
struct nonstd::variants::detail::VisitorApplicator< R >

Definition at line 2425 of file variant.hpp.

## Member Function Documentation

## apply() [1/5]

template<typename R >
template<typename Visitor , typename V1 >

static R nonstd::variants::detail::VisitorApplicator< R >::apply | ( | const Visitor & | v,
|  | const V1 & | arg
| ) |  |

inlinestatic

Definition at line 2428 of file variant.hpp.

## apply() [2/5]

template<typename R >
template<typename Visitor , typename V1 , typename V2 >

static R nonstd::variants::detail::VisitorApplicator< R >::apply | ( | const Visitor & | v,
|  | V1 const & | arg1,
|  | V2 const & | arg2
| ) |  |

inlinestatic

Definition at line 2477 of file variant.hpp.

## apply() [3/5]

template<typename R >
template<typename Visitor , typename V1 , typename V2 , typename V3 >

static R nonstd::variants::detail::VisitorApplicator< R >::apply | ( | const Visitor & | v,
|  | V1 const & | arg1,
|  | V2 const & | arg2,
|  | V3 const & | arg3
| ) |  |

inlinestatic

Definition at line 2485 of file variant.hpp.

## apply() [4/5]

template<typename R >
template<typename Visitor , typename V1 , typename V2 , typename V3 , typename V4 >

static R nonstd::variants::detail::VisitorApplicator< R >::apply | ( | const Visitor & | v,
|  | V1 const & | arg1,
|  | V2 const & | arg2,
|  | V3 const & | arg3,
|  | V4 const & | arg4
| ) |  |

inlinestatic

Definition at line 2493 of file variant.hpp.

## apply() [5/5]

template<typename R >
template<typename Visitor , typename V1 , typename V2 , typename V3 , typename V4 , typename V5 >

static R nonstd::variants::detail::VisitorApplicator< R >::apply | ( | const Visitor & | v,
|  | V1 const & | arg1,
|  | V2 const & | arg2,
|  | V3 const & | arg3,
|  | V4 const & | arg4,
|  | V5 const & | arg5
| ) |  |

inlinestatic

Definition at line 2501 of file variant.hpp.

## apply_visitor()

template<typename R >
template<size_t Idx, typename Visitor , typename V1 >

static R nonstd::variants::detail::VisitorApplicator< R >::apply_visitor | ( | const Visitor & | v,
|  | const V1 & | arg
| ) |  |

inlinestatic

Definition at line 2455 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp